Bug 117991 - [GTK3] Preview doesn't get updated when changing the values in Chapter Numbering
Summary: [GTK3] Preview doesn't get updated when changing the values in Chapter Numbering
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-06-04 10:36 UTC by Xisco Faulí
Modified: 2018-06-06 10:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-06-04 10:36:21 UTC
Steps to reproduce:
1. Open Writer
2. Tools - Chapter Numbering and go to Position tab
3. Change 'Tab Stops at' to 5 cm
4. Click on Level 2

-> Observed behaviour: The preview is not updated. Going back to level 1 doesn't show the new value.

Reproduced in

Version: 6.1.0.0.beta1+
Build ID: b57819201ff89bbde14b4df8c02a0eb4bea2c2bb
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded


but not in

Version: 6.1.0.0.beta1+
Build ID: b57819201ff89bbde14b4df8c02a0eb4bea2c2bb
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 1 Xisco Faulí 2018-06-04 10:37:36 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2018-05-04 14:53:11 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-05-04 22:12:46 +0200
commit	0920b04bca3d58d89b026bcf999ea43d0e855715 (patch)
tree	e819560b7822cda8cd76a0494a4ec6135f3585a9
parent	2cab4acbe2aaaee6e5b9afeb68f3e555ecff2ec7 (diff)
weld SwOutlineTabDialog


Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2018-06-05 11:22:55 UTC
selection changed signal in the listbox gets sent before the focus change from the spinbutton to the listbox gets sent, hmm
Comment 3 Caolán McNamara 2018-06-05 11:37:16 UTC
lets send selection change to libreoffice from a postuserevent, which means it will arrive after the focus has been processed and the spinbutton will be updated before the selection change is processed
Comment 4 Commit Notification 2018-06-05 14:01:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9065ec06776fb21519e4a474a52cb051332489d4

tdf#117991 let focus change get processed before selection change

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2018-06-05 14:02:07 UTC
a 6-1 backport will be forthcoming
Comment 6 Commit Notification 2018-06-05 14:23:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fb63ec23b4ae3cff771934714f0bad003123cdd0&h=libreoffice-6-1

tdf#117991 let focus change get processed before selection change

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2018-06-06 10:26:00 UTC
Verified in

Version: 6.1.0.0.beta1+
Build ID: 8b96445766efe237eb47608ade6c147673466e2e
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Caolán, thanks for fixing this!!